### Method

# Ide Context dup_project_id

#### Declaration

    gchar*
    ide_context_dup_project_id (
      IdeContext* self
    )

#### Description

Copies the project-id and returns it to the caller.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| A project-id as a string.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.